Creates a sender for a project. The possible combinations of region, business manager and hosting type are the following
| Region | SINCH_BR | SINCH_MX | SINCH_UK | |
|---|---|---|---|---|
| BR | Embedded (ES) | ✅ Supported | ✅ Supported | ❌ Unsupported |
| Partner-initiated | ✅ Supported | ✅ Supported | ❌ Unsupported | |
| EU | Embedded (ES) | ❌ Unsupported | ❌ Unsupported | ✅ Supported |
| Partner-initiated | ❌ Unsupported | ❌ Unsupported | ✅ Supported | |
| US | Embedded (ES) | ✅ Supported | ✅ Supported | ✅ Supported |
| Partner-initiated | ✅ Supported | ✅ Supported | ✅ Supported |
The unique ID of the project. You can find this on the Sinch Dashboard.
Sender data
WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.
Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.
Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.
Business manager.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders
Example body request to create an ES.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"region": "EU",
"metaLocalStorage": "DE",
"wabaId": "11111111111111",
"phoneNumberId": "222222222222222",
"authenticationCode": "123asdf123"
}'Sender
Region sender is provisioned in.
Region sender store the data in Meta.
Business manager.
Conversation API app regions the sender can be used for.
The current state of the sender.
If set, the details of the Conversation API App the sender is connected to.
Current quality rating of the sender.
Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.
Provider for phone number.
This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.
Please use get account endpoint for this information.
Response when successfully creating a sender.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "changes": { "status": "IN_PROGRESS", "details": { … } }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "maxTps": 10, "qualityRating": "GREEN", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }